axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Glen Daniels <>
Subject RE: WS-I testing: warnings about faultcode
Date Mon, 06 Sep 2004 21:19:59 GMT

Hi Sanjiva! 

> > My preference is to leave things as they are.  If these 
> changes do get
> made,
> > please confirm sure that we're correctly setting the codes 
> in SOAP 1.2 
> > - note that SOAP 1.2 ONLY allows a specific set of top-level fault 
> > codes (VersionMismatch, MustUnderstand, 
> DataEncodingUnknown, Sender, Receiver).
> IMO strict adherance to standards is critical for open source 
> projects.
> That means our personal feelings about how overbearing WS-I 
> was is not important .. if they say that's what we gotta do, then ...
> An alternate is to of course introduce yet another knob to 
> say whether to turn this on or not. I don't like making 
> everything configurable like
> that: it makes the system complicated and slower.

Well, strict adherence to standards is fine, but which standards?  Strict
adherence to SOAP 1.1 (or 1.2 for that matter) certainly allows, for
instance, SOAP encoding, which is in conflict with strict adherence to WS-I

While I agree with you about switches for every little thing, I do think a
single "wsi.bp-compliance" flag might be a good idea, both for Axis 1.X and
2.0.  We will *always* do our best to comply with things like SOAP/WSDL.
We'll additionally limit our behaviour and check WS-I compliance when (and
only when) the flag is on.


View raw message